{ inputs }:
{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [
    inputs.lix-module.nixosModules.default
  ];

  nix.settings.experimental-features = [
    "nix-command"
    "flakes"
  ];

  environment.systemPackages = with pkgs; [
    neovim
    git
    tmux
    nixfmt-rfc-style
    nix-index
  ];

  system.stateVersion = "24.11";
}
